Package oracle.kv.pubsub

# Class SubscriptionChangeNotAppliedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.kv.pubsub.SubscriptionChangeNotAppliedException

All Implemented Interfaces:
  `Serializable`

public class SubscriptionChangeNotAppliedException extends RuntimeException
Exception raised when change cannot be applied to the running subscription, and the subscription is unchanged. It represents an situation that the change cannot applied to the the subscription and the subscription is not affected and thus does not need to terminate.

Since:
  19.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SubscriptionChangeNotAppliedException.Reason`
  Describes the reason that a change was not applied.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `MAX_NUM_PENDING_CHANGES`
  The max number of pending subscription changes is 32.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SubscriptionChangeNotAppliedException.Reason`
  `getReason()`
  Returns the reason that the change was not applied.
  `NoSQLSubscriberId`
  `getSubscriberId()`
  Gets id of of the subscriber

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MAX_NUM_PENDING_CHANGES

    public static final long MAX_NUM_PENDING_CHANGES
    The max number of pending subscription changes is 32.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getSubscriberId

    public NoSQLSubscriberId getSubscriberId()
    Gets id of of the subscriber
    Returns:
      id of of the subscriber

  - ### getReason

    public SubscriptionChangeNotAppliedException.Reason getReason()
    Returns the reason that the change was not applied.
    Returns:
      the reason that the change was not applied